# EventHttp::setAllowedMethods

(PECL event >= 1.4.0-beta)

EventHttp::setAllowedMethods — Sets the what HTTP methods are supported in requests accepted by this server, and passed to user callbacks

### 说明

public EventHttp::setAllowedMethods( int `$methods` ): void

Sets the what HTTP methods are supported in requests accepted by this server, and passed to user callbacks

If not supported they will generate a `"405 Method not allowed"` response.

By default this includes the following methods: `GET`, `POST`, `HEAD`, `PUT`, `DELETE`. See `EventHttpRequest::CMD_*` constants.

### 参数

`methods`

  A bit mask of `EventHttpRequest::CMD_*` constants.

### 返回值

没有返回值。

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open